<div class="dropdown" ...attributes {{did-insert this.setupOptions}}>
  {{#if @isDropdownToggle}}
    <button type="button" class="btn {{@toggleClass}} border-start-0 dropdown-toggle dropdown-toggle-split" aria-expanded="false" {{on "click" this.showOptions}}>
      <span class="visually-hidden">Toggle Dropdown</span>
    </button>
  {{else if @text}}
    <button class="btn btn-secondary dropdown-toggle" type="button" aria-expanded="false" {{on "click" this.showOptions}}>
      {{@text}}
    </button>
  {{else}}
    <button class="btn btn-white btn-sm dropdown-toggle no-carret btn-extend btn-open-options p-0" {{on "click" this.showOptions}} type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      <FaIcon @icon="ellipsis-h"/>
    </button>
  {{/if}}

  <div class="dropdown-menu {{if this.onRight "dropdown-menu-end"}} {{if this.showingOptions "show"}}" aria-labelledby="{{this.elementId}}-dropdown">
    {{yield}}
  </div>
</div>